/*
 *  KMRK_mask.h
 *  repseek
 *
 *  Created by Eric Coissac on 04/12/04.
 *  Copyright 2004 __MyCompanyName__. All rights reserved.
 *
 */

#include <stdint.h>

#ifndef _KMRK_MASK_H_
#define _KMRK_MASK_H_

typedef struct {
    int32_t begin;
    int32_t end;
} masked_area_t;

typedef struct {
    int32_t reserved;
    int32_t count;
    
    masked_area_t area[1];
} masked_area_list_t;

typedef struct {
    int32_t seqcount;
    int32_t total;
    
    masked_area_list_t *sequence[1];
} masked_area_table_t;

masked_area_table_t *KMRK_ReadMaskArea(char *areafile,int32_t seqcount,int32_t complement);
char KMRK_isMasked(masked_area_table_t *mask,int32_t seq, int32_t position);

#endif