/**
 * @file   KMRK_sequence.h
 * @author Eric Coissac <coissac@inrialpes.fr>
 * @date   Tue Feb 24 22:22:57 2004
 * 
 * @brief  Header file for sequence utilities
 * 
 * 
 */

#ifndef KMRK_sequence_h
#define KMRK_sequence_h

#include <stdint.h>

int8_t CheckSeq(char *seq, char *alpha);

void nonACGTXtoN(char *seq);

void UpperSequence(char *seq);

void invseq(char *seqsrc, char *seqdest);


#endif /* KMRK_sequence_h */
